import { EventEmitter } from '@angular/core';
export declare class DropdownComponent {
    autoDisplay: boolean;
    open: boolean;
    uiEscape: EventEmitter<{}>;
    focus: boolean;
    private isSelfClick;
    docClick(): void;
    click(): void;
}
